package cn.iocoder.yudao.module.pms.service.qhse.accident;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.pms.controller.admin.qhse.accident.vo.IotAccidentReportPageReqVO;
import cn.iocoder.yudao.module.pms.controller.admin.qhse.accident.vo.IotAccidentReportSaveReqVO;
import cn.iocoder.yudao.module.pms.dal.dataobject.qhse.accident.IotAccidentReportDO;

import javax.validation.Valid;
import java.util.Set;

/**
 * QHSE事故上报 Service 接口
 *
 * @author 超级管理员
 */
public interface IotAccidentReportService {
    void approvalAccidentFlow(Long id, Integer bpmResult);
    Set<Long> getDeptIdCompany(Long deviceDept);
    void approvalAccident(Long id, String suggestion);
    /**
     * 创建QHSE事故上报
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createIotAccidentReport(@Valid IotAccidentReportSaveReqVO createReqVO);

    /**
     * 更新QHSE事故上报
     *
     * @param updateReqVO 更新信息
     */
    void updateIotAccidentReport(@Valid IotAccidentReportSaveReqVO updateReqVO);

    /**
     * 删除QHSE事故上报
     *
     * @param id 编号
     */
    void deleteIotAccidentReport(Long id);

    /**
     * 获得QHSE事故上报
     *
     * @param id 编号
     * @return QHSE事故上报
     */
    IotAccidentReportDO getIotAccidentReport(Long id);

    /**
     * 获得QHSE事故上报分页
     *
     * @param pageReqVO 分页查询
     * @return QHSE事故上报分页
     */
    PageResult<IotAccidentReportDO> getIotAccidentReportPage(IotAccidentReportPageReqVO pageReqVO);
    PageResult<IotAccidentReportDO> getIotAccidentReportApprovalPage(IotAccidentReportPageReqVO pageReqVO);

}